Create a payout method for a payee
curl --request POST \
--url https://api.withacclaim.com/v1/payees/{payee_id}/payout_methods \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payout_method_type": "UnitedStatesAch",
"country": "<string>",
"account_number": "<string>",
"routing_type1": "<string>",
"routing_value1": "<string>",
"routing_type2": "<string>",
"routing_value2": "<string>",
"account_holder_name": "<string>",
"account_type": "<string>",
"swift_code": "<string>",
"iban": "<string>",
"currency": "<string>",
"tax_id_type": "<string>",
"tax_id": "<string>"
}
'import requests
url = "https://api.withacclaim.com/v1/payees/{payee_id}/payout_methods"
payload = {
"payout_method_type": "UnitedStatesAch",
"country": "<string>",
"account_number": "<string>",
"routing_type1": "<string>",
"routing_value1": "<string>",
"routing_type2": "<string>",
"routing_value2": "<string>",
"account_holder_name": "<string>",
"account_type": "<string>",
"swift_code": "<string>",
"iban": "<string>",
"currency": "<string>",
"tax_id_type": "<string>",
"tax_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
payout_method_type: 'UnitedStatesAch',
country: '<string>',
account_number: '<string>',
routing_type1: '<string>',
routing_value1: '<string>',
routing_type2: '<string>',
routing_value2: '<string>',
account_holder_name: '<string>',
account_type: '<string>',
swift_code: '<string>',
iban: '<string>',
currency: '<string>',
tax_id_type: '<string>',
tax_id: '<string>'
})
};
fetch('https://api.withacclaim.com/v1/payees/{payee_id}/payout_methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "pmet_abc123",
"payout_method_type": "UnitedStatesAch",
"active": true,
"currency": "<string>",
"country": "<string>",
"account_number": "<string>",
"routing_type1": "<string>",
"routing_value1": "<string>",
"routing_type2": "<string>",
"routing_value2": "<string>",
"bank_name": "<string>",
"account_holder_name": "<string>",
"account_type": "<string>",
"swift_code": "<string>",
"iban": "<string>",
"tax_id_type": "<string>",
"tax_id": "<string>",
"payout_speed": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "invalid_request",
"message": "Missing required field: amount",
"details": {},
"request_id": "req_7lYt4o2x"
}
}Payout methods
Create a payout method for a payee
POST
/
payees
/
{payee_id}
/
payout_methods
Create a payout method for a payee
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the payee.
Body
application/json
Payout method type. When omitted, we infer the payout method type from the given data.
Example:
"UnitedStatesAch"
ISO 3166-1 alpha-2 country code
Required string length:
2Bank account number
Maximum string length:
255Primary routing type (e.g. aba, swift)
Primary routing value
Maximum string length:
255Secondary routing type
Secondary routing value
Maximum string length:
255Maximum string length:
255e.g. checking, savings
Maximum string length:
50Maximum string length:
50Maximum string length:
34ISO 4217 currency code
Maximum string length:
3Maximum string length:
50Maximum string length:
100Payout speed preference
Available options:
normal, priority Response
Payout method created.
Public ID of the payout method
Example:
"pmet_abc123"
Type of payout method
Example:
"UnitedStatesAch"
Example:
true
ISO 4217 currency code
ISO 3166-1 alpha-2 country code
Last modified on July 8, 2026
⌘I